<template>
  <div class="wrapper">
    <v-list-item-action>
      <v-icon v-if="!isEditing" size="30">{{icon}}</v-icon>
      <v-btn fab dark @click="onRemove(contactKey, idx)" small color="red" v-else width="30" height="30">
        <v-icon >mdi-minus</v-icon >
      </v-btn>
    </v-list-item-action>

    <v-list-item-content class="content">
      <v-list-item-title v-if="!isEditing">{{value}}</v-list-item-title>


      <v-text-field
        v-else
        v-model="query"
        @change='updateCurrentContact({key: contactKey, value: query, idx})'
      ></v-text-field>

    </v-list-item-content>
  </div>
</template>

<script>
  import {mapActions, mapState} from 'vuex'

  export default {
    name: 'FormItem',
    props: ['value', 'icon', 'idx', 'contactKey', 'removeInput'],
    computed: mapState({
      isEditing: state => state.isEditing
    }),
    methods: {
        ...mapActions(['updateCurrentContact']),

          onRemove(key, idx) {
            const isDelete = confirm(`Are you sure?`)
            return isDelete ? this.removeInput({key, idx}) : null
          }
    },
    data() {
      return {
        query: this.value
      }
    }
  }
</script>

<style scoped>
.wrapper {
  display: flex;
  height: 30px;
}
  .content {
    height: 87px;
    border: none;
  }
</style>
